Subject: Re: [PATCH net-next v1 0/10] cxgb4: Add Chelsio T7 support

From: Potnuri Bharat Teja <[email-masked]>
Date: Tue, 9 Jun 2026 16:20:25 +0530

On Monday, June 06/08/26, 2026 at 14:13:14 -0700, Jakub Kicinski wrote:
> On Sat,  6 Jun 2026 23:52:10 -0400 Potnuri Bharat Teja wrote:
> > This patch series introduces base support for the next-generation Chelsio
> > T7 adapter family into the cxgb4 driver. 
> 
> Oh wow! I thought y'all disappeared.

Hi Jakub,

> 
> There have been >50 patches to cxgb4 driver over the last 3 years.
> Quick grep suggests that Chelsio only bothered reviewing a single one.
> You are not fulfilling your responsibilities:
> https://docs.kernel.org/next/maintainer/feature-and-driver-maintainers.html
> 
> This is not right, don't you think?
>

You are right, and I apologize. We have had some difficult internal 
circumstances recently that pulled us away, but I know that doesn't excuse 
neglecting our upstream responsibilities to the community.

I am taking ownership of this moving forward. I went through the netdev 
backlog, Shall reply if they are still relevant. 

Sorry!